Do

Activity log for bug #1363589

Date Who What changed Old value New value Message
2014-08-31 08:10:08 Michael N bug added bug
2014-08-31 08:10:51 Michael N information type Private Security Public Security
2014-10-07 22:55:28 Chris Halse Rogers do: status New Confirmed
2014-10-07 22:55:32 Chris Halse Rogers do: importance Undecided High
2014-10-07 22:56:24 Chris Halse Rogers do: status Confirmed Fix Committed
2015-04-13 23:40:48 Chris Johnston bug task added gnome-do (Ubuntu)
2015-04-13 23:42:07 Launchpad Janitor gnome-do (Ubuntu): status New Confirmed
2015-04-13 23:42:40 Chris Johnston gnome-do (Ubuntu): importance Undecided Medium
2015-04-13 23:52:15 Chris Halse Rogers do: status Fix Committed Fix Released
2015-04-13 23:53:37 Chris Halse Rogers nominated for series Ubuntu Utopic
2015-04-13 23:53:37 Chris Halse Rogers bug task added gnome-do (Ubuntu Utopic)
2015-04-13 23:53:37 Chris Halse Rogers nominated for series Ubuntu Trusty
2015-04-13 23:53:37 Chris Halse Rogers bug task added gnome-do (Ubuntu Trusty)
2015-04-13 23:53:37 Chris Halse Rogers nominated for series Ubuntu Precise
2015-04-13 23:53:37 Chris Halse Rogers bug task added gnome-do (Ubuntu Precise)
2015-04-14 00:23:29 Chris Halse Rogers gnome-do (Ubuntu): status Confirmed Fix Released
2015-04-14 05:30:28 Chris Halse Rogers description When clicking on 'help' in the gnome-do preferences, the link opened is "do.davebsd.com/wiki/index.php?title=Using_Do", it redirects several times, opening various spammy sites (gambling, shopping, etc). The real problem isn't gnome-do per se, but rather that do.davebsd.com seems to have been co-opted. [Impact] The plugin Help buttons and Do's About link go to do.davebsd.com, which has been acquired by a spam provider. This upload changes the About link to go to do.cooperteam.net (the current homepage), and points the plugin Help buttons at Launchpad. [Test Case] Start gnome-do; type ‘about do’ and hit <enter> to summon the About page. Click on the Homepage link, and verify that it goes to do.cooperteam.net. Summon gnome-do, type ‘preferences’ and hit <enter> to summon the preferences page. Go to the “Plugins” tab and select any plugin. Hit the “About” button, if enabled. This should not take you to do.davebsd.com (but might do nothing). [Regression Potential] This code is only used in the About page and plugin About links, so that's what should be checked. Regressions are unlikely, the most likely regression would be crashes when pressing the buttons. [Original report] When clicking on 'help' in the gnome-do preferences, the link opened is "do.davebsd.com/wiki/index.php?title=Using_Do", it redirects several times, opening various spammy sites (gambling, shopping, etc). The real problem isn't gnome-do per se, but rather that do.davebsd.com seems to have been co-opted.
2015-04-17 13:20:23 Timo Aaltonen gnome-do (Ubuntu Utopic): status New Fix Committed
2015-04-17 13:20:26 Timo Aaltonen bug added subscriber Ubuntu Stable Release Updates Team
2015-04-17 13:20:28 Timo Aaltonen bug added subscriber SRU Verification
2015-04-17 13:20:31 Timo Aaltonen tags verification-needed
2015-04-17 13:27:58 Launchpad Janitor branch linked lp:ubuntu/utopic-proposed/gnome-do
2015-04-17 14:18:59 Timo Aaltonen gnome-do (Ubuntu Trusty): status New Fix Committed
2015-04-17 14:33:09 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/trusty/gnome-do/trusty-proposed
2015-05-01 19:16:17 Brian Murray gnome-do (Ubuntu Precise): status New Fix Committed
2015-05-24 17:12:16 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/precise/gnome-do/precise-proposed
2015-07-31 19:30:01 Ubuntu Foundations Team Bug Bot tags verification-needed removal-candidate verification-needed
2015-08-13 02:49:43 Mathew Hodson tags removal-candidate verification-needed verification-done-trusty verification-needed-precise
2015-08-13 02:50:16 Mathew Hodson bug task added gnome-do-plugins (Ubuntu)
2015-08-13 02:50:42 Mathew Hodson bug task deleted gnome-do-plugins (Ubuntu Utopic)
2015-08-13 02:54:05 Mathew Hodson gnome-do-plugins (Ubuntu): status New Fix Released
2015-08-13 02:54:26 Mathew Hodson gnome-do-plugins (Ubuntu Trusty): status New Confirmed
2015-08-13 02:55:02 Mathew Hodson bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=738195
2015-08-13 02:55:02 Mathew Hodson bug task added gnome-do-plugins (Debian)
2015-08-13 02:56:23 Mathew Hodson bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=757056
2015-08-13 02:56:23 Mathew Hodson bug task added gnome-do (Debian)
2015-08-13 03:38:52 Bug Watch Updater gnome-do-plugins (Debian): status Unknown Fix Released
2015-08-13 03:38:59 Bug Watch Updater gnome-do (Debian): status Unknown Fix Released
2015-08-13 08:54:25 Launchpad Janitor gnome-do (Ubuntu Trusty): status Fix Committed Fix Released
2015-08-13 08:54:34 Adam Conrad removed subscriber Ubuntu Stable Release Updates Team
2015-08-13 19:18:46 Launchpad Janitor gnome-do-plugins (Ubuntu Precise): status New Confirmed
2015-08-27 16:40:35 Brian Murray gnome-do (Ubuntu Utopic): status Fix Committed Won't Fix
2015-09-18 09:16:11 Mathew Hodson gnome-do (Ubuntu Precise): importance Undecided Medium
2015-09-18 09:16:54 Mathew Hodson gnome-do (Ubuntu Trusty): importance Undecided Medium
2015-09-18 09:17:06 Mathew Hodson gnome-do (Ubuntu Utopic): importance Undecided Medium
2015-09-18 09:17:17 Mathew Hodson gnome-do-plugins (Ubuntu): importance Undecided Medium
2015-09-18 09:17:28 Mathew Hodson gnome-do-plugins (Ubuntu Precise): importance Undecided Medium
2015-09-18 09:17:42 Mathew Hodson gnome-do-plugins (Ubuntu Trusty): importance Undecided Medium
2015-09-18 09:17:42 Mathew Hodson gnome-do-plugins (Ubuntu Trusty): status Confirmed Triaged
2015-09-18 09:17:54 Mathew Hodson gnome-do-plugins (Ubuntu Precise): status Confirmed Triaged
2015-10-30 15:56:25 Mathew Hodson tags verification-done-trusty verification-needed-precise bytesize string-fix verification-done-trusty verification-needed-precise
2015-10-30 15:56:47 Mathew Hodson tags bytesize string-fix verification-done-trusty verification-needed-precise bitesize string-fix verification-done-trusty verification-needed-precise
2015-10-30 15:57:20 Mathew Hodson tags bitesize string-fix verification-done-trusty verification-needed-precise bitesize string-fix trusty verification-done-trusty verification-needed-precise
2015-11-12 20:29:56 Ubuntu Foundations Team Bug Bot tags bitesize string-fix trusty verification-done-trusty verification-needed-precise bitesize removal-candidate string-fix trusty verification-done-trusty verification-needed-precise
2016-05-12 13:39:27 Martin Pitt tags bitesize removal-candidate string-fix trusty verification-done-trusty verification-needed-precise bitesize removal-candidate string-fix trusty verification-done-trusty
2016-05-12 13:39:31 Martin Pitt gnome-do (Ubuntu Precise): status Fix Committed Won't Fix
2016-05-12 13:39:39 Martin Pitt removed subscriber SRU Verification
2016-05-18 23:30:24 Mathew Hodson tags bitesize removal-candidate string-fix trusty verification-done-trusty bitesize string-fix trusty verification-done-trusty